corda / net.corda.core.crypto / DigitalSignature / LegallyIdentifiable

# LegallyIdentifiable

`class LegallyIdentifiable : WithKey`

### Constructors

<init> | `LegallyIdentifiable(signer: Party, bits: ByteArray)`

### Properties

signer | `val signer: Party`

### Inherited Properties

by | `val by: PublicKey`

### Inherited Functions

verifyWithECDSA | `fun verifyWithECDSA(content: ByteArray): Unit` `fun verifyWithECDSA(content: OpaqueBytes): Unit`